Skip to main content
Don’t miss what’s next at Microsoft Ignite
Don’t miss what’s next at Microsoft IgniteGet direct access to the people, products, and expertise behind Microsoft technology, with opportunities to ask questions, build skills, and learn alongside the community.
Register now
Microsoft
separator
https://catalogartifact.azureedge.net/publicartifacts/softorbits.vcf-to-csv-converter-e96c682f-01de-4232-b774-6257e3aaa03e/image6_logo300216x216.png

VCF to CSV Converter Software

by SoftOrbits

Free Trial

A folder of vCard files becomes one CSV for Google Contacts, Outlook or Excel, offline.

📇 A phone export, an iCloud download or an old address book dump leaves you holding vCard files, while the place you are moving to wants a table. VCF to CSV Converter reads those cards locally on a Windows machine and writes one CSV that Google Contacts, Outlook and Excel take in without a header rewrite.

❔ What sits inside a .vcf, and why a spreadsheet chokes on it

A vCard is a text record that opens with BEGIN:VCARD and closes with END:VCARD. One file may carry a single person or a thousand of them back to back. An iPhone share sheet makes the second kind. Some Android backups go the other way and write a separate file for every contact. Inside, N holds the name in five parts (family, given, middle, prefix, suffix) and FN holds it as a display string, and the two often disagree. TEL and EMAIL repeat as many times as the person has numbers, each tagged with a TYPE such as CELL, WORK or HOME. VCF to CSV Converter unfolds wrapped lines, splits the blocks and gives every property a column.

⚙️ Version 2.1 is where names get mangled

The three versions still in circulation do not store text the same way. Version 2.1 from older handsets keeps accented and Cyrillic letters as QUOTED-PRINTABLE with a CHARSET parameter, so a naive reader prints =D0=98 where a name should be. Version 3.0 (RFC 2426) and version 4.0 (RFC 6350) lean on UTF-8 and leave QUOTED-PRINTABLE behind altogether. VCF to CSV Converter decodes each property by the charset it declares, guesses when none is given, and writes the CSV in UTF-8 with a BOM at the front, so Excel shows the real letters on a double-click.

👍 Where the rows land after a pass of VCF to CSV Converter

  • 1️⃣ A second and third phone kept, in numbered columns or one joined cell.
  • 2️⃣ Column sets shaped for Yahoo, Outlook and Google Contacts, or a plain sheet.
  • 3️⃣ Base64 photos written out as image files, with the path in the row.
  • 4️⃣ BDAY rewritten into the date shape the chosen preset expects.
  • 5️⃣ Commas, quotes and line breaks inside a NOTE wrapped per RFC 4180.
  • 6️⃣ X- properties such as a custom label carried over as extra columns.
  • 7️⃣ The same person found twice and merged before the file is written.
  • 8️⃣ ADR broken out so the street and the postcode each get their own cell.

⚠️ The trial writes the first 10 contacts of each run, which is enough to see whether the columns line up. A license lifts the cap.

❓ Who ends up with a pile of .vcf files

  • ✅ Someone on a new phone who wants the list in Google first.
  • ✅ Office staff merging exports from several colleagues into one list.
  • ✅ Sales teams loading people into a CRM that only takes CSV.
  • ✅ Anyone who would rather not upload an address book to a web page.

Moving contacts on a company PC? See VCF to CSV Converter Software on Windows Store.

❓ What people want to know before they convert

❔ Can I turn a VCF file into CSV online?
💡 Web tools exist, but they need the whole address book uploaded. VCF to CSV Converter does the same job offline, and nothing leaves the PC.

❔ Can a .vcf be opened as an Excel sheet?
💡 Not as it is. Run it through VCF to CSV Converter first, and LibreOffice, Google Sheets or Excel will show the UTF-8 file with names intact.

❔ How do my contacts become a CSV file?
💡 Export them from the phone or the cloud as vCard, add that file or folder, pick a preset and press Convert.

❔ Can iCloud contacts end up as CSV?
💡 Yes. iCloud exports one .vcf with every card inside, and VCF to CSV Converter splits it into rows.

At a glance

https://catalogartifact.azureedge.net/publicartifacts/softorbits.vcf-to-csv-converter-e96c682f-01de-4232-b774-6257e3aaa03e/image3_screenshot1.png
https://catalogartifact.azureedge.net/publicartifacts/softorbits.vcf-to-csv-converter-e96c682f-01de-4232-b774-6257e3aaa03e/image2_screenshot2.png
https://catalogartifact.azureedge.net/publicartifacts/softorbits.vcf-to-csv-converter-e96c682f-01de-4232-b774-6257e3aaa03e/image5_screenshot3.png
English (United States)
Your Privacy Choices Opt-Out Icon Your Privacy Choices
Consumer Health Privacy Sitemap Contact Us Privacy & Cookies Terms of Use About our ads Manage cookies